Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.builders
Class WebappMuleXmlConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.builders.AbstractResourceConfigurationBuilder
              org.mule.config.spring.SpringXmlConfigurationBuilder
                  org.mule.config.builders.WebappMuleXmlConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

    public class WebappMuleXmlConfigurationBuilder

extends SpringXmlConfigurationBuilder

`WebappMuleXmlConfigurationBuilder` will first try and load config resources using the ServletContext and if this fails then it will attempt to load config resource from the classpath.

- ServletContext resources should be relative to the webapp root directory and start with '/'.
- Classpath resources should be in the webapp classpath and should not start with '/'.

  See Also:
    `SpringXmlConfigurationBuilder`

  Field Summary
  `protected Log` | `logger` Logger used by this class

  Fields inherited from class org.mule.config.spring.SpringXmlConfigurationBuilder
  `MULE_DEFAULTS_CONFIG, MULE_SPRING_CONFIG, parentContext, registry, useDefaultConfigResource`

  Fields inherited from class org.mule.config.builders.AbstractResourceConfigurationBuilder
  `configResources`

  Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
  `configured`

  Constructor Summary
  `WebappMuleXmlConfigurationBuilder(ServletContext servletContext, String configResources)`
  `WebappMuleXmlConfigurationBuilder(ServletContext servletContext, String[] configResources)`

  Method Summary
  `protected org.springframework.context.ApplicationContext` | `createApplicationContext(MuleContext muleContext, ConfigResource[] configResources)`
  `protected void` | `doConfigure(MuleContext muleContext)` Will configure a MuleContext based on the configuration provided.
  `protected ConfigResource[]` | `loadConfigResources(String[] configs)`
  `protected org.springframework.context.ApplicationContext` | `loadParentContext(ServletContext servletContext)` Used to lookup parent spring ApplicationContext.

  Methods inherited from class org.mule.config.spring.SpringXmlConfigurationBuilder
  `applyLifecycle, createSpringRegistry, getParentContext, isUseDefaultConfigResource, setParentContext, setUseDefaultConfigResource, unconfigure`

  Methods inherited from class org.mule.config.builders.AbstractResourceConfigurationBuilder
  `configure, createConfigResourcesString`

  Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
  `isConfigured`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### logger

      protected final transient Log logger

    Logger used by this class

  Constructor Detail

  ### WebappMuleXmlConfigurationBuilder

      public WebappMuleXmlConfigurationBuilder(ServletContext servletContext,
                                               String configResources)
                                        throws ConfigurationException

  Throws:
    `ConfigurationException`

  ### WebappMuleXmlConfigurationBuilder

      public WebappMuleXmlConfigurationBuilder(ServletContext servletContext,
                                               String[] configResources)
                                        throws ConfigurationException

  Throws:
    `ConfigurationException`

  Method Detail

  ### doConfigure

      protected void doConfigure(MuleContext muleContext)
                          throws Exception

    Description copied from class: `AbstractConfigurationBuilder`
    Will configure a MuleContext based on the configuration provided. The configuration will be set on the `ConfigurationBuilder` implementation as bean properties before this method has been called.

    Overrides:
      `doConfigure` in class `SpringXmlConfigurationBuilder`
    Parameters:
      `muleContext` - The current `MuleContext`
    Throws:
      `ConfigurationException` - if the configuration fails i.e. an object cannot be created or initialised properly
      `Exception`

  ### loadConfigResources

      protected ConfigResource[] loadConfigResources(String[] configs)
                                              throws ConfigurationException

    Overrides:
      `loadConfigResources` in class `AbstractResourceConfigurationBuilder`
    Throws:
      `ConfigurationException`

  ### createApplicationContext

      protected org.springframework.context.ApplicationContext createApplicationContext(MuleContext muleContext,
                                                                                        ConfigResource[] configResources)

    Overrides:
      `createApplicationContext` in class `SpringXmlConfigurationBuilder`

  ### loadParentContext

      protected org.springframework.context.ApplicationContext loadParentContext(ServletContext servletContext)
                                                                          throws org.springframework.beans.BeansException

    Used to lookup parent spring ApplicationContext. This allows a parent spring ApplicatonContet to be provided in the same way you would configure a parent ApplicationContext for a spring WebAppplicationContext

    Parameters:
      `servletContext` -
    Throws:
      `org.springframework.beans.BeansException`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.